/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef COMPONENT_BASED_APP_CONTROL_COMPONENT_BASED_APP_CONTROL_IMPLEMENTATION_H_
#define COMPONENT_BASED_APP_CONTROL_COMPONENT_BASED_APP_CONTROL_IMPLEMENTATION_H_

#include <app_control.h>

#include <string>

#include "component_based/app_control/component_based_app_control.h"

namespace component_based {

class AppControl::Impl {
 public:
  virtual ~Impl();

 private:
  friend class AppControl;
  explicit Impl(AppControl* parent, app_control_h handle);

 private:
  AppControl* parent_;
  app_control_h handle_ = nullptr;
};

}  // namespace component_based

#endif  // COMPONENT_BASED_APP_CONTROL_COMPONENT_BASED_APP_CONTROL_IMPLEMENTATION_H_
