/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef COMPONENT_BASED_URI_COMPONENT_BASED_QUERY_H_
#define COMPONENT_BASED_URI_COMPONENT_BASED_QUERY_H_

#include <string>

#ifndef EXPORT_API
#define EXPORT_API __attribute__((visibility("default")))
#endif

namespace component_based {

class EXPORT_API Query {
 public:
  Query(std::string key, std::string value) : key_(key), value_(value) {}
  virtual ~Query() {}

  const std::string& GetKey() const {
    return key_;
  }

  const std::string& GetValue() const {
    return value_;
  }

 private:
  std::string key_;
  std::string value_;
};

}  // namespace component_based

#endif  // COMPONENT_BASED_URI_COMPONENT_BASED_QUERY_H_
