/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef UNIT_TESTS_MOCK_MOCK_APP_COMMON_H_
#define UNIT_TESTS_MOCK_MOCK_APP_COMMON_H_

#include <app_common.h>
#include <app_resource_manager.h>

#include "mock.h"

#ifdef __cplusplus
extern "C" {
#endif

DECLARE_FAKE_VALUE_FUNC(int, app_get_id, char**);
DECLARE_FAKE_VALUE_FUNC(char*, app_get_data_path);
DECLARE_FAKE_VALUE_FUNC(int, app_get_display_state, app_display_state_e*);
DECLARE_FAKE_VALUE_FUNC(int, app_resource_manager_get, app_resource_e,
                        const char*, char**);

#ifdef __cplusplus
}
#endif

#endif  /* UNIT_TESTS_MOCK_MOCK_APP_COMMON_H_ */
