// Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
// Use of this source code is governed by a apache 2.0 license that can be
// found in the LICENSE file.

#include <gmock/gmock.h>
#include <gtest/gtest.h>
#include <stdlib.h>

#include "component_based/base/application_base.h"
#include "component_based/base/core_base_internal.h"

#include "unit_tests/mock/mock_app_common.h"
#include "unit_tests/mock/mock_appcore_multiwindow_base.h"

namespace {

class ApplicationTest : public ::testing::Test {
 protected:
  void SetUp() override {}
  void TearDown() override {}
};

int __fake_app_get_id(char** app_id) {
  char id[] = "component_based_test";
  *app_id = strdup(id);
  return 0;
}

TEST_F(ApplicationTest, GetApplicationId) {
  app_get_id_fake.custom_fake = __fake_app_get_id;

  std::unique_ptr<component_based::ApplicationBase> app(
      new component_based::ApplicationBase());

  std::string appid = app->GetApplicationID();
  EXPECT_EQ(appid, "component_based_test");
}

}  // namespace
